tigase.jaxmpp.core.client.xmpp.modules.muc

## Class MucModule.StateChangeHandler.StateChangeEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<MucModule.StateChangeHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.muc.MucModule.StateChangeHandler.StateChangeEvent

- Enclosing interface:
    MucModule.StateChangeHandler

      public static class MucModule.StateChangeHandler.StateChangeEvent
      extends JaxmppEvent<MucModule.StateChangeHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StateChangeEvent(SessionObject sessionObject, Room room, Room.State oldState, Room.State newState)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(MucModule.StateChangeHandler handler)` Invokes handlers method.

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StateChangeEvent

          public StateChangeEvent(SessionObject sessionObject,
                                  Room room,
                                  Room.State oldState,
                                  Room.State newState)

  - ### Method Detail

    - #### dispatch

          protected void dispatch(MucModule.StateChangeHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<MucModule.StateChangeHandler>`
      Parameters:
        `handler` - handler

Copyright © 2006–2016 Tigase. All rights reserved.